Skip to navigation

Update Specific Team Agent

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

slugstringRequired
addressstringRequired

Request

This endpoint expects an object.
namestringRequired1-80 characters
Updated name of the agent.
readmestring or nullOptional<=80000 characters
Updated long markdown description of the agent.
avatar_urlstring or nullOptional<=4000 characters
Updated avatar URL of the agent.
short_descriptionstring or nullOptional<=300 characters
Updated short summary of the agent.
agent_type"uagent" or string or nullOptionalDefaults to mailbox

Updated type of the agent (default is ‘mailbox’).

Response

Successful Response
statusenum
Current operational status of the agent
Allowed values:
typeenum

Type/category of the agent

addressstring
Unique blockchain address of the agent
endpointslist of objects
List of agent's endpoints
protocolslist of strings
Supported protocol identifiers
expirydatetime
Expiration timestamp of the agent
domain_namestring or nullOptional
Associated domain name, if available
metadatamap from strings to any or nullOptional
Additional arbitrary metadata

Errors

422
Unprocessable Entity Error